/* REXX */ trace n
DELSTACK   /* clear stack */
/********************************************************************/
/* initering af variabler                                           */
/********************************************************************/
arg ,
   DSI , /* input seq or  po  */
   DSO   /* output always po  */
/*--------------------------------------------------------------------*/
/* test if to ds is awailable                                         */
/*--------------------------------------------------------------------*/
if sysdsn("'"DSO"'")="DATASET NOT FOUND"
   then do
         say 'dataset='DSO' not found - end'
         exit
        end
   else nop
/********************************************************************/
"FREE FILE(DSI)"
"ALLOCATE FILE(DSI) DATASET('"DSI"') SHR"
ReadFlag='ON'
MemberNavn=' '
do while ReadFlag='ON'
'EXECIO 1 DISKR DSI ( STEM LINE.'
 ExecioRc=rc
  select
    when ExecioRc=0  then nop
    when ExecioRc=2  then do
                           if queued() >0 then call WRT ; else nop
                           ReadFlag='OFF'
                          end
      otherwise do
                 say 'ERROR RC='ExecioRc
               /*exit ExecioRc*/
                end
  end /* select */
   if ExecioRc=2  then leave ; else nop
   linex=space(Line.1,1)
   if substr(Linex,1,12)='./ ADD NAME='
      then do
            parse var Linex 1 './ ADD NAME=' MemberNavn .
           end
      else MemberNavn=' '
    if MemberNavn^=' '
       then do
             if queued() >0
                then do
                      call wrt
                     end
                else nop
             CurMembN=MemberNavn
            end
       else queue Line.1
       Line.=' '
end /* do while ReadFlag */
'EXECIO 0 DISKR DSI ( FINIS'
exit /* END */
/********************************************************************/
WRT:    /* subrutine write member  */
   if sysdsn("'"DSO"("CurMembN")'")="MEMBER NOT FOUND"
      then nop
      else do
            xlen=length(CurMembN)
             do R=1 to 9
             CurMembN=overlay(R,CurMembN,xlen,1)
             if sysdsn("'"DSO"("CurMembN")'")="MEMBER NOT FOUND"
                then leave R
                else
                    if R=9 then exit '99'
                           else iterate

             end /* do R */

           end
                     "ALLOCATE FILE(DSO)" ,
                     "DATASET('"DSO"("CURMEMBN")') OLD"
                      BufL=queued()
                     'EXECIO' BufL 'DISKW DSO ( FINIS'
                     "FREE FILE(DSO)"
return
/********************************************************************/
/*                                                                  */
/*                 COMPANY :                                        */
/*                                                                  */
/*    COMMAND NAME : FTOM                    LANGUAGE : REXX EXEC   */
/*                                                                  */
/*    PROGRAMMER   : KIM SEINDAL             DATE     : YY-MM-DD    */
/*                                                                  */
/*------------------------DESCRIPTION-------------------------------*/
/* split seq. or PO dataset witch contains  ./ ADD NAME=member      */
/* IEBUPDATE statements separating every member in the member or    */
/* file witch contains the input file into members in a PO output ds*/
/* members i output dataset.                                        */
/* If member name exist in output ds, name for following members    */                                                                  
/* will be : <member>x where x will be first number not in use(1-9) */                                              
/*                                                                  */
/*                                                                  */
/* Command format: FTOM indataset outdataset                        */
/*                                                                  */
/*                                                                  */
/*------------------------CHANGES-----------------------------------*/
/*                                                                  */
/*    PROGRAMMER :                                                  */
/*    DATE       :                                                  */
/*    CHANGE     :                                                  */
/********************************************************************/
